import { EventEmitter } from '../../stencil-public-runtime';
import { IgcContextMenuMetadata, IgcTabHeadersPosition } from '../dockmanager/dockmanager.interfaces';
import { IgcDockManagerResourceStrings } from '../dockmanager/dockmanager.public-interfaces';
/**
 * @hidden
 */
export declare class IgcTabsComponent {
  private forcedUpdate;
  el: HTMLIgcTabsComponentElement;
  hiddenTabsMenuMeta: IgcContextMenuMetadata;
  hasHiddenTabs: boolean;
  size: number;
  tabHeadersPosition: IgcTabHeadersPosition;
  selectedIndex: number;
  hasHeaders: boolean;
  showHiddenTabsMenu: boolean;
  resourceStrings: IgcDockManagerResourceStrings;
  selectedIndexPropertyChanged(newValue: number): void;
  selectedIndexChanged: EventEmitter<number>;
  hiddenTabSelected: EventEmitter<number>;
  selectedTabOutOfView: EventEmitter<number>;
  componentWillLoad(): void;
  componentDidLoad(): void;
  componentDidUpdate(): void;
  private setTabsAttributes;
  disconnectedCallback(): void;
  private tabHeadersDiv;
  private resizeObserver;
  private slotChanged;
  private forceUpdate;
  private updateSelectedIndex;
  private get tabPanels();
  private get tabHeaders();
  private get hiddenTabHeaders();
  private handleSelectedIndexChanged;
  handleTabMouseDown(ev: CustomEvent): void;
  private onTabKeyDown;
  private tabHeadersDivResized;
  private setHasHiddenTabs;
  private handleHiddenTabsMenuClick;
  private handleContextMenuClosed;
  private renderHiddenTabsMenu;
  private renderTabHeaders;
  render(): any;
}
